Package Details: anoise 0.0.36-3

Git Clone URL: https://aur.archlinux.org/anoise.git (read-only, click to copy)
Package Base: anoise
Description: Ambient Noise Player. Relax or concentrate with a noise
Upstream URL: https://costales.github.io/projects/anoise
Keywords: generator noise
Licenses: GPL3
Submitter: agnotek
Maintainer: yochananmarqos
Last Packager: yochananmarqos
Votes: 32
Popularity: 0.000018
First Submitted: 2015-04-07 15:49 (UTC)
Last Updated: 2022-06-23 20:00 (UTC)

Dependencies (11)

Required by (1)

Sources (2)

Latest Comments

yochananmarqos commented on 2020-11-11 15:57 (UTC)

@eniac: You're welcome. I just realized I had a typo, just updated it to install the locale files in the right place.

eniac commented on 2020-11-11 11:37 (UTC)

@yochananmarqos thanks for updating PKGBUILD

yochananmarqos commented on 2020-08-05 01:36 (UTC)

Updated PKGBUILD for 0.0.36.

kixune commented on 2020-07-01 06:53 (UTC)

I was getting the folllowing error when running:

Traceback (most recent call last):
  File "/usr/share/anoise/anoise.py", line 23, in <module>
    from dbus.mainloop.glib import DBusGMainLoop
ModuleNotFoundError: No module named 'dbus.mainloop.glib'

It was fixed when I installed "python-dbus" from the extra repository, maybe it should be added to the dependencies.

Stunkymonkey commented on 2019-12-10 20:40 (UTC)

what about replacing the dependencies with non orphaned and updated packages?: depends=('anoise-media' 'python-gobject' 'python-distutils-extra' 'gst-plugins-good') works on my machine.

kusanaginoturugi commented on 2019-08-26 09:27 (UTC) (edited on 2019-08-26 09:27 (UTC) by kusanaginoturugi)

The following procedure was necessary to use it.

yay -S python-gobject

sudo pip install dbus-python

rbchinchen commented on 2018-03-29 01:01 (UTC)

I had the same problem as johnnydvc below, the issue seems to be with the WebKit library.

/usr/share/anoise/preferences.py

from gi.repository import Gtk, WebKit

    web_content = WebKit.WebView()

Those two lines in the above file both use a reference to WebKit, but the library has updated to require WebKit2 as the reference.

from gi.repository import Gtk, WebKit2

    web_content = WebKit2.WebView()

Simply adding '2' after each reference to WebKit did the trick for me, I did this after installation and it works fine now. Hopefully this can be merged in to the PKGBUILD script by the maintainer.

johnnydvc commented on 2017-11-15 21:18 (UTC)

not running. /usr/share/anoise/anoise.py:20: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded. from gi.repository import Gtk, GObject, Gst /usr/share/anoise/anoise.py:20: PyGIWarning: Gst was imported without specifying a version first. Use gi.require_version('Gst', '1.0') before import to ensure that the right version gets loaded. from gi.repository import Gtk, GObject, Gst Traceback (most recent call last): File "<frozen importlib._bootstrap>", line 879, in _find_spec AttributeError: 'DynamicImporter' object has no attribute 'find_spec' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/anoise/anoise.py", line 24, in <module> from preferences import Preferences File "/usr/share/anoise/preferences.py", line 21, in <module> from gi.repository import Gtk, WebKit File "/usr/lib/python3.6/site-packages/gi/importer.py", line 127, in find_module 'introspection typelib not found' % namespace) ImportError: cannot import name WebKit, introspection typelib not found

eniac commented on 2017-03-04 11:03 (UTC)

anoise still requires gstreamer0.10 and the orphaned gstreamer0.10-python. Is there a way to make it work with gstreamer 1.10 ?

commented on 2015-09-21 08:49 (UTC)

@ Kosava, @Theredbaron1834 try installing "webkitgtk" it will fix the Gtk 2 problem @agnotek i think that "webkitgtk" should be a dependency for this to work on kde

Kosava commented on 2015-08-09 14:52 (UTC)

Not work for me anoise Traceback (most recent call last): File "/usr/share/anoise/anoise.py", line 24, in <module> from preferences import Preferences File "/usr/share/anoise/preferences.py", line 21, in <module> from gi.repository import Gtk, WebKit File "<frozen importlib._bootstrap>", line 2237, in _find_and_load File "<frozen importlib._bootstrap>", line 2226, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 1191, in _load_unlocked File "<frozen importlib._bootstrap>", line 1161, in _load_backward_compatible File "/usr/lib/python3.4/site-packages/gi/importer.py", line 158, in load_module introspection_module = get_introspection_module(namespace) File "/usr/lib/python3.4/site-packages/gi/module.py", line 271, in get_introspection_module module = IntrospectionModule(namespace, version) File "/usr/lib/python3.4/site-packages/gi/module.py", line 120, in __init__ repository.require(namespace, version) gi.RepositoryError: Requiring namespace 'Gtk' version '2.0', but '3.0' is already loaded

Theredbaron1834 commented on 2015-04-29 08:29 (UTC)

Same issue. I already have python-gobject installed too. If I install python-dbus I get a differnt issue though: Traceback (most recent call last): File "/usr/share/anoise/anoise.py", line 24, in <module> from preferences import Preferences File "/usr/share/anoise/preferences.py", line 21, in <module> from gi.repository import Gtk, WebKit File "<frozen importlib._bootstrap>", line 2237, in _find_and_load File "<frozen importlib._bootstrap>", line 2226, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 1191, in _load_unlocked File "<frozen importlib._bootstrap>", line 1161, in _load_backward_compatible File "/usr/lib/python3.4/site-packages/gi/importer.py", line 158, in load_module introspection_module = get_introspection_module(namespace) File "/usr/lib/python3.4/site-packages/gi/module.py", line 271, in get_introspection_module module = IntrospectionModule(namespace, version) File "/usr/lib/python3.4/site-packages/gi/module.py", line 120, in __init__ repository.require(namespace, version) gi.RepositoryError: Requiring namespace 'Gtk' version '2.0', but '3.0' is already loaded

mabier commented on 2015-04-25 05:24 (UTC)

foer, I have already installed python-gobject(after I seeing your comment, I checked and found that I have already install python-gobject at the point, because python-gobject2 is also in extra channel, I also installed it ,but the error persist.)

foer commented on 2015-04-19 04:42 (UTC)

Check if python-gobject is installed...otherwise install this package and try anoise again...is this the solution, then i have to add python-gobject as dep

mabier commented on 2015-04-18 12:27 (UTC)

I also have problem : $ anoise Traceback (most recent call last): File "/usr/share/anoise/anoise.py", line 21, in <module> from dbus.mainloop.glib import DBusGMainLoop ImportError: No module named 'dbus.mainloop.glib'

Kosava commented on 2015-04-17 18:43 (UTC)

I have problem not work for me. $ anoise Traceback (most recent call last): File "/usr/share/anoise/anoise.py", line 19, in <module> import gi, os, threading ImportError: No module named 'gi'

foer commented on 2015-04-17 14:45 (UTC)

why should python-dbus be necessary for this?...its running here flawlessly without it...

robertfoster commented on 2015-04-17 11:47 (UTC)

please add python-dbus as dep

kaptoxic commented on 2015-04-13 04:08 (UTC)

Update: icon appeared, 1st issue solved...

kaptoxic commented on 2015-04-13 02:19 (UTC)

Two issues here: 1) icon is broken (not showing neither in the menu nor in mediaplayer gnome extension), 2) stop button in mediaplayer extension does nothing (pause and other buttons work though) Excellent package, thanks!